From gregkh@suse.de Tue Aug 16 12:37:39 2005
Date: Tue, 16 Aug 2005 12:33:30 -0700
From: Greg Kroah-Hartman <gregkh@suse.de>
To: <Henk.Vergonet@gmail.com>
Cc: <dtor_core@ameritech.net>, <vojtech@suse.cz>, <akpm@osdl.org>
Subject: USB: fix endian issues in yealink driver.

sparse still complains about the htons usage, but I'll leave that for
others to fix.

Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 drivers/usb/input/yealink.c |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

--- gregkh-2.6.orig/drivers/usb/input/yealink.c	2005-08-16 12:35:17.000000000 -0700
+++ gregkh-2.6/drivers/usb/input/yealink.c	2005-08-16 12:40:41.000000000 -0700
@@ -840,9 +840,12 @@
 static int usb_match(struct usb_device *udev)
 {
 	int i;
+	u16 idVendor = le16_to_cpu(udev->descriptor.idVendor);
+	u16 idProduct = le16_to_cpu(udev->descriptor.idProduct);
+
 	for (i = 0; i < ARRAY_SIZE(yld_device); i++) {
-		if ((udev->descriptor.idVendor == yld_device[i].idVendor) &&
-		    (udev->descriptor.idProduct == yld_device[i].idProduct))
+		if ((idVendor == yld_device[i].idVendor) &&
+		    (idProduct == yld_device[i].idProduct))
 			return i;
 	}
 	return -ENODEV;
